Source

pybb /

Filename Size Date modified Message
pybb
static/pybb
28 B
1.3 KB

Installation

Prerequisites

  1. Python 2.6 or higher.
  2. Django (tested with rev 11477 or higher).
  3. django-tinymce and TinyMCE used to render the post textarea.
  4. lxml 2.0 or higher required for cleaning up html coming from textareas.
  5. django-acl required for row-level permissions support.

Note

lxml should become optional in future releases.

Installation

Put pybb in your sys.path and in your INSTALLED_APPS. An installation script should be provided in future releases. You must serve the static files contained in the pybb/static directory as {{MEDIA_URL}}pybb/.

In a development project, assuming MEDIA_URL is set to /media/, you could do::
urlpatterns += patterns('django.views.static',
(r'^media/pybb/(.*)$', 'serve', {'document_root': 'path/to/satic/pybb' }),

)